import request from '@/utils/request'

// 查询班级管理列表
export function listClassInfo(query) {
  return request({
    url: '/major/classInfo/list',
    method: 'get',
    params: query
  })
}

// 查询班级管理列表
export function spareListClassInfo() {
  return request({
    url: '/major/classInfo/spareList',
    method: 'get'
  })
}

// 查询班级管理详细
export function getClassInfo(classId) {
  return request({
    url: '/major/classInfo/' + classId,
    method: 'get'
  })
}

// 新增班级管理
export function addClassInfo(data) {
  return request({
    url: '/major/classInfo',
    method: 'post',
    data: data
  })
}

// 修改班级管理
export function updateClassInfo(data) {
  return request({
    url: '/major/classInfo',
    method: 'put',
    data: data
  })
}

// 删除班级管理
export function delClassInfo(classId) {
  return request({
    url: '/major/classInfo/' + classId,
    method: 'delete'
  })
}
